import { createRouter, createWebHistory } from 'vue-router'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/learnMore',
      name: 'learnMore',
      meta: {
        title: '了解更多',
        navBar: false
      },
      component: () => import('../views/learnMore/index.vue'),
    },
    {
      path: '/parents/home',
      name: 'parentsHome',
      meta: {
        title: '全部功能',
      },
      component: () => import('../views/parents/home/index.vue'),
    },
    {
      path: '/parents/homeWorkStatistics',
      name: 'parentsHomeWorkStatistics',
      meta: {
        title: '作业统计',
      },
      component: () => import('../views/parents/homeWorkStatistics/index.vue'),
    },
    {
      path: '/parents/AICorrect',
      name: 'parentsAICorrect',
      meta: {
        title: '智能批改',
      },
      component: () => import('../views/parents/AICorrect/index.vue'),
    },
    {
      path: '/parents/tutorship',
      name: 'parentsTutorship',
      meta: {
        title: '作业辅导',
      },
      component: () => import('../views/parents/tutorship/index.vue'),
    },
    {
      path: '/parents/errorLists',
      name: 'parentsErrorLists',
      meta: {
        title: '错题集',
      },
      component: () => import('../views/parents/errorLists/index.vue'),
    },
    {
      path: '/parents/analyze',
      name: 'parentsAnalyze',
      meta: {
        title: '错题解析',
      },
      component: () => import('../views/parents/analyze/index.vue'),
    },
    {
      path: '/parents/mine',
      name: 'parentsMine',
      meta: {
        title: '个人中心',
      },
      component: () => import('../views/parents/mine/index.vue'),
    },
    {
      path: '/parents/childrens',
      name: 'parentsChildrens',
      meta: {
        title: '孩子档案',
      },
      component: () => import('../views/parents/childrens/index.vue'),
    },
    {
      path: '/student/practiceReport',
      name: 'studentPracticeReport',
      meta: {
        title: '练习报告',
      },
      component: () => import('../views/student/practiceReport/index.vue'),
    },
  ],
})

export default router
